#!/usr/bin/env python
import os
import pip
from setuptools import setup, find_packages

# autogenerated
dcos_concord_version = '0.2.9'

concord_version = dcos_concord_version

setup(
    name='dcos-concord',

    # Versions should comply with PEP440.  For a discussion on single-sourcing
    # the version across setup.py and the project code, see
    # https://packaging.python.org/en/latest/single_source_version.html
    version=dcos_concord_version,

    description='python concord command line tools',

    # Author details
    author='Concord Systems',
    author_email='support@concord.io',

    # Project homepage
    url='https://github.com/concord/cmd',

    # See https://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        # How mature is this project? Common values are
        #   3 - Alpha
        #   4 - Beta
        #   5 - Production/Stable
        'Development Status :: 3 - Alpha',

        # Indicate who your project is intended for
        'Intended Audience :: Developers',
        'Intended Audience :: Information Technology',

        # Pick your license as you wish (should match "license" above)
        # 'License :: OSI Approved :: TODO: License',

        # Specify the Python versions you support here. In particular, ensure
        # that you indicate whether you support Python 2, Python 3 or both.
        'Programming Language :: Python :: 2.7'
    ],

    # List additional groups of dependencies here (e.g. development
    # dependencies). You can install these using the following syntax, for
    # example:
    # $ pip install -e .[dev,test]
    extras_require={},

    # What does your project relate to?
    keywords='dcos mesos streams operator',

    # You can just specify the packages manually here if your project is
    # simple. Or you can use find_packages().
    packages=find_packages(exclude=['contrib', 'docs', 'tests*']),

    # If there are data files included in your packages that need to be
    # installed, specify them here.  If using Python 2.6 or less, then these
    # have to be included in MANIFEST.in as well.
    package_data={
        'concord': [
            'resources/*'
        ]
    },

    # Although 'package_data' is the preferred approach, in some case you may
    # need to place data files outside of your packages.
    # In this case, 'data_file' will be installed into '<sys.prefix>/my_data'
    # data_files=[('my_data', ['data/data_file'])],
    data_files=[],

    # List run-time dependencies here.  These will be installed by pip when your
    # project is installed. For an analysis of "install_requires" vs pip's
    # requirements files see:
    # https://packaging.python.org/en/latest/requirements.html
    install_requires=[
        'concord=='+concord_version
    ],

    # Directory where tests exist
    test_suite="tests",

    # To provide executable scripts, use entry points in preference to the
    # "scripts" keyword. Entry points provide cross-platform support and allow
    # pip to create the appropriate form of executable for the target platform.
    entry_points={
        'console_scripts': [ 'dcos-concord = concord.concord_entry:main' ]
        # on  dcos dcos-concord is needed otherwise its not wanted
    }
)
